org.omg.DynamicAny

## Class NameValuePairSeqHelper

- java.lang.Object
- - org.omg.DynamicAny.NameValuePairSeqHelper

    public abstract class NameValuePairSeqHelper
    extends Object

org/omg/DynamicAny/NameValuePairSeqHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-dVYQXe/openjdk-8-8u252-b09/src/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Thursday, April 16, 2020 8:59:51 AM UTC

### Constructor Summary

Constructors
Constructor and Description
`NameValuePairSeqHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static NameValuePair[]` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, NameValuePair[] that)`
`static NameValuePair[]` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, NameValuePair[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameValuePairSeqHelper

    public NameValuePairSeqHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              NameValuePair[] that)

#### extract

    public static NameValuePair[] extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static NameValuePair[] read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             NameValuePair[] value)